Skip to main content

Get Policy

Retrieve the full details of a single group health policy by its ID.

Endpoint

GET /v1/policy/{policy_id}

Path Parameters

ParameterDescription
policy_idBizzAssure internal policy ID (from List Policies)

Request

Headers

HeaderValue
AuthorizationBearer YOUR_ACCESS_TOKEN

Example Request

GET /v1/policy/ba_pol_01k...
Authorization: Bearer YOUR_ACCESS_TOKEN

Response

Success (200 OK)

{
"payload": {
"policy": {
"id": "ba_pol_01k...",
"client_id": "ba_client_abc...",
"policy_number": "HLT-2024-00123",
"insurer_id": "ba_ins_xyz...",
"product_id": "ba_prod_abc...",
"tpa_id": "ba_tpa_def...",
"net_premium": 850000.0,
"gross_premium": 1003000.0,
"coverage_type": "COVERAGE_TYPE_ESC",
"type": "POLICY_TYPE_FAMILY_FLOATER",
"status": "POLICY_STATUS_ACTIVE",
"start_date": "2024-01-01",
"end_date": "2024-12-31",
"sum_insured": ["300000", "500000"],
"inclusions": "Hospitalization, Day care procedures, ...",
"exclusions": "Pre-existing diseases (2-year waiting period), ...",
"terms_conditions": "...",
"policy_document_url": "https://...",
"insurer_name": "Star Health Insurance",
"insurer_logo": "https://...",
"network_hospital_url": "https://...",
"daycare_url": "https://...",
"product_name": "Comprehensive Health",
"tpa_name": "Medi Assist",
"client_name": "Acme Corp",
"cd_balance": 120000.0
},
"message": "Policy retrieved successfully",
"success": true
}
}

Policy Object Fields

FieldTypeDescription
idstringBizzAssure internal policy ID
client_idstringClient/organisation this policy belongs to
policy_numberstringInsurer-issued policy number
insurer_idstringID of the insurer
product_idstringID of the insurance product
tpa_idstringID of the Third-Party Administrator
net_premiumnumberNet premium amount (INR)
gross_premiumnumberGross premium including taxes (INR)
coverage_typestringCOVERAGE_TYPE_E (Employee only), COVERAGE_TYPE_ES (+Spouse), COVERAGE_TYPE_ESC (+Children), COVERAGE_TYPE_ESCP (+Parents)
typestringPOLICY_TYPE_FAMILY_FLOATER, POLICY_TYPE_INDIVIDUAL, or POLICY_TYPE_FLOATER_WITH_SI_RESTRICTION
statusstringPOLICY_STATUS_ACTIVE, POLICY_STATUS_INACTIVE, or POLICY_STATUS_SUSPENDED
start_datestringPolicy start date (YYYY-MM-DD)
end_datestringPolicy end date (YYYY-MM-DD)
sum_insuredstring[]Available sum insured slabs (INR, as strings)
inclusionsstringCovered benefits and inclusions
exclusionsstringExcluded conditions and procedures
terms_conditionsstringFull terms and conditions text
policy_document_urlstringURL to download the policy document
insurer_namestringDisplay name of the insurer
insurer_logostringURL of the insurer's logo
network_hospital_urlstringURL to the insurer's network hospital list
daycare_urlstringURL to the insurer's daycare procedure list
product_namestringDisplay name of the product
tpa_namestringDisplay name of the TPA
client_namestringDisplay name of the client organisation
cd_balancenumberCurrent CD (Credit Deposit) balance for this policy (INR)

Error Responses

Not Found (404)

{
"type": "NOT_FOUND",
"title": "Policy Not Found",
"detail": "No policy found with the given ID",
"instance": "/v1/policy/ba_pol_01k"
}

Unauthorized (401)

{
"type": "UNAUTHORIZED",
"title": "Unauthorized",
"detail": "Missing or invalid access token",
"instance": "/v1/policy/ba_pol_01k"
}